 	.386
	.model	use32 small

	extrn	allerrl : PROC
	public	_ldexpl
	.data

nm	db	"ldexpl",0

	.code
_ldexpl:
      	push	ebp
	mov	ebp,esp
	lea	ecx,[ebp+8]
	sub	edx,edx
	fild	dword ptr [ebp+20]
	fld	tbyte ptr [ecx]
	fscale
	fxch	st(1)
	fcomp	st(1)
	lea	eax,[nm]
	call	allerrl
	leave
	ret
	end